# 49. Vaicājums: iegūt režģotos datus no "Lauka satelītattēla"

Vaicājums, lai iegūtu režģveida datus no rastra datu kopas, kas saistīta ar "FieldSatelliteImage", kā `GEOJSON`  ar punktiem vai `GEOTIFF`. Rekvizītu atribūts ir atkarīgs no pakalpojumu sniedzēja un parasti satur sākotnējos pakalpojumu sniedzēja datus (piem., SARKANS, ZAĻŠ, ZILS, NIR un pat Tīra Zeme) uz punktu/pikseli. Papildu informāciju par eksportēto failu var atrast [ŠEIT](/geopard-tutorials/lva/produkta-apskate-timekla-lietotne/eksportet-lejupieladet/satelitattelu-eksports-ka-geotiff-vai-geojson.md).

#### 1. Pieprasiet failu eksportēšanai

{% hint style="danger" %}
Ieteicams izgūt tikai vienu datu kopu ar `sourceDataUrl` vienā pieprasījumā.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, un `MinusTwoPixels` ir pieejami kā `buferis`.

`GEOJSON` un `GEOTIFF` ir pieejami kā formāts.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSatelliteImage {
  getFarms (farmUuids: ["<vietturis_priekš_farmas_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Lejupielādējiet ģenerēto failu

Pēc veiksmīgas faila sagatavošanas to var lejupielādēt, izmantojot `curl` vai līdzīgu pieeju.

{% hint style="danger" %}
`sourceDataUrl` saite ir pieejama tikai **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/49.-vaicajums-iegut-rezgotos-datus-no-lauka-satelitattela.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
